商品別卸先マスタ検索
curl -X POST -H "Content-Type: application/x-www-form-urlencoded" -d 'access_token=xxxxxxxxx&refresh_token=xxxxxxxxx&fields=xxxxxxxx,xxxxxxx&goods_wholesale_goods_id-like=xxxxx&offset=0&limit=2' https://api.next-engine.org/api_v1_master_goodswholesale/search// POST /api_v1_master_goodswholesale/search - 商品別卸先マスタ検索const params = new URLSearchParams({ access_token: '<access_token>', fields: 'field1,field2', offset: '0', limit: '50',})const res = await fetch('https://api.next-engine.org/api_v1_master_goodswholesale/search', { method: 'POST', headers: { 'content-type': 'application/x-www-form-urlencoded' }, body: params,})const json = await res.json()if (json.result !== 'success') throw new Error(json.message ?? json.code)console.log(json.data)# POST /api_v1_master_goodswholesale/search - 商品別卸先マスタ検索import requests
params = { 'access_token': '<access_token>', 'fields': 'field1,field2', 'offset': '0', 'limit': '50',}res = requests.post( 'https://api.next-engine.org/api_v1_master_goodswholesale/search', data=params,)json = res.json()if json['result'] != 'success': raise RuntimeError(json.get('message') or json.get('code'))print(json.get('data'))Request Body required
Section titled “Request Body required ”object
OAuth2 アクセストークン (必須)
OAuth2 リフレッシュトークン (access_token 期限切れ時の自動更新に使用)
同期実行フラグ。“1” 指定で処理完了を待つ
取得するフィールドをカンマ区切りで指定 (search 系のみ)
検索開始位置 (search 系のみ)
取得件数 (search 系のみ)
Responses
Section titled “ Responses ”実行結果 (result が success / error / redirect のいずれか)
object
実行結果ステータス
エラー時のエラーコード
object
更新後のアクセストークン
アクセストークン有効期限 (YYYY-MM-DD HH:MM:SS)
更新後のリフレッシュトークン
リフレッシュトークン有効期限
エンドポイント固有のレスポンスデータ
Count/search 系のヒット件数 (form-urlencoded レスポンスでは文字列で返ることがある)
object
商品コード / 文字列型
卸先コード / 文字列型
商品別卸先掛率 / 数値型
作成日 / 日時型
最終更新日 / 日時型
最終更新日 / 日時型 / NULLの場合作成日
作成担当者ID / 数値型
作成担当者名 / 文字列型
最終更新者ID / 数値型
最終更新者ID / 数値型 / NULLの場合作成者ID
最終更新者名 / 文字列型
最終更新者名 / 文字列型 / NULLの場合作成者名
Example
{ "result": "success", "count": "1", "data": [ { "goods_wholesale_goods_id": "T101-Red", "goods_wholesale_wholesale_id": "5555", "goods_wholesale_wholesale_retail_ratio": "10.0", "goods_wholesale_creation_date": "2017-02-13 13:02:37", "goods_wholesale_last_modified_date": "2017-02-13 13:02:37", "goods_wholesale_last_modified_null_safe_date": "2017-02-13 13:02:37", "goods_wholesale_creator_id": "10003", "goods_wholesale_creator_name": "xxxxx", "goods_wholesale_last_modified_by_id": "10003", "goods_wholesale_last_modified_by_null_safe_id": "10003", "goods_wholesale_last_modified_by_name": "xxxxx", "goods_wholesale_last_modified_by_null_safe_name": "xxxxx", "wholesale_id": "5555", "wholesale_name": "hcm - wholesaler", "wholesale_kana": "", "wholesale_post_name": "", "wholesale_zip_code": "70000", "wholesale_address1": "HCM", "wholesale_address2": "", "wholesale_phone": "", "wholesale_fax": "", "wholesale_mail_address": "", "wholesale_destination_pic_name": "Tokyo", "wholesale_destination_pic_kana": "", "wholesale_destination_zip_code": "18000", "wholesale_destination_address1": "Tokyo", "wholesale_destination_address2": "", "wholesale_destination_phone": "", "wholesale_delivery_id": "10", "wholesale_delivery_name": "佐川急便(e飛伝PRO)", "wholesale_payment_method_id": "0", "wholesale_payment_method_name": "クレジットカード", "wholesale_retail_ratio": null, "wholesale_destination_no": "1", "wholesale_credit_line_price": null, "wholesale_closing_day": null, "wholesale_note": null, "wholesale_deleted_flag": "0", "wholesale_creation_date": "2017-02-09 16:24:31", "wholesale_last_modified_date": "2017-02-13 12:52:58", "wholesale_last_modified_null_safe_date": "2017-02-13 12:52:58", "wholesale_creator_id": "0", "wholesale_creator_name": "System", "wholesale_last_modified_by_id": "0", "wholesale_last_modified_by_null_safe_id": "0", "wholesale_last_modified_by_name": "System", "wholesale_last_modified_by_null_safe_name": "System" } ], "access_token": "xxxxx", "access_token_end_date": "2017-04-18 11:19:26", "refresh_token": "xxxxx", "refresh_token_end_date": "2017-04-20 11:19:26"}クライアントエラー (HTTP ステータス自体は 200 + result=error で返ることが多い)
object
実行結果ステータス
エラー時のエラーコード
object
更新後のアクセストークン
アクセストークン有効期限 (YYYY-MM-DD HH:MM:SS)
更新後のリフレッシュトークン
リフレッシュトークン有効期限
エンドポイント固有のレスポンスデータ
Count/search 系のヒット件数 (form-urlencoded レスポンスでは文字列で返ることがある)
Example
{ "result": "success"}